Linux: update to automake 1.16.1
[scilab.git] / scilab / modules / atoms / Makefile.in
1 # Makefile.in generated by automake 1.16.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2018 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
18 # Copyright (C) 2009 - DIGITEO
19 #
20 # Copyright (C) 2012 - 2016 - Scilab Enterprises
21 #
22 # This file is hereby licensed under the terms of the GNU GPL v2.0,
23 # pursuant to article 5.3.4 of the CeCILL v.2.1.
24 # This file was originally licensed under the terms of the CeCILL v2.1,
25 # and continues to be available under such terms.
26 # For more information, see the COPYING file which you should have received
27 # along with this program.
28
29 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
30 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
31 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
32 #
33 # Copyright (C) 2012 - 2016 - Scilab Enterprises
34 #
35 # This file is hereby licensed under the terms of the GNU GPL v2.0,
36 # pursuant to article 5.3.4 of the CeCILL v.2.1.
37 # This file was originally licensed under the terms of the CeCILL v2.1,
38 # and continues to be available under such terms.
39 # For more information, see the COPYING file which you should have received
40 # along with this program.
41 #
42
43 ##########
44 ### Makefile included stuff
45 ### Target, variable, suffixes which are supposed to be useful in every makefile.am
46 ##########
47
48 VPATH = @srcdir@
49 am__is_gnu_make = { \
50   if test -z '$(MAKELEVEL)'; then \
51     false; \
52   elif test -n '$(MAKE_HOST)'; then \
53     true; \
54   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
55     true; \
56   else \
57     false; \
58   fi; \
59 }
60 am__make_running_with_option = \
61   case $${target_option-} in \
62       ?) ;; \
63       *) echo "am__make_running_with_option: internal error: invalid" \
64               "target option '$${target_option-}' specified" >&2; \
65          exit 1;; \
66   esac; \
67   has_opt=no; \
68   sane_makeflags=$$MAKEFLAGS; \
69   if $(am__is_gnu_make); then \
70     sane_makeflags=$$MFLAGS; \
71   else \
72     case $$MAKEFLAGS in \
73       *\\[\ \   ]*) \
74         bs=\\; \
75         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
76           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
77     esac; \
78   fi; \
79   skip_next=no; \
80   strip_trailopt () \
81   { \
82     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
83   }; \
84   for flg in $$sane_makeflags; do \
85     test $$skip_next = yes && { skip_next=no; continue; }; \
86     case $$flg in \
87       *=*|--*) continue;; \
88         -*I) strip_trailopt 'I'; skip_next=yes;; \
89       -*I?*) strip_trailopt 'I';; \
90         -*O) strip_trailopt 'O'; skip_next=yes;; \
91       -*O?*) strip_trailopt 'O';; \
92         -*l) strip_trailopt 'l'; skip_next=yes;; \
93       -*l?*) strip_trailopt 'l';; \
94       -[dEDm]) skip_next=yes;; \
95       -[JT]) skip_next=yes;; \
96     esac; \
97     case $$flg in \
98       *$$target_option*) has_opt=yes; break;; \
99     esac; \
100   done; \
101   test $$has_opt = yes
102 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
103 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
104 pkgdatadir = $(datadir)/@PACKAGE@
105 pkgincludedir = $(includedir)/@PACKAGE@
106 pkglibdir = $(libdir)/@PACKAGE@
107 pkglibexecdir = $(libexecdir)/@PACKAGE@
108 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
109 install_sh_DATA = $(install_sh) -c -m 644
110 install_sh_PROGRAM = $(install_sh) -c
111 install_sh_SCRIPT = $(install_sh) -c
112 INSTALL_HEADER = $(INSTALL_DATA)
113 transform = $(program_transform_name)
114 NORMAL_INSTALL = :
115 PRE_INSTALL = :
116 POST_INSTALL = :
117 NORMAL_UNINSTALL = :
118 PRE_UNINSTALL = :
119 POST_UNINSTALL = :
120 build_triplet = @build@
121 host_triplet = @host@
122 @NEED_JAVA_TRUE@am__append_1 = java
123 subdir = modules/atoms
124 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
125 am__aclocal_m4_deps = $(top_srcdir)/m4/ax_cxx_compile_stdcxx_11.m4 \
126         $(top_srcdir)/m4/backtrace.m4 $(top_srcdir)/m4/compiler.m4 \
127         $(top_srcdir)/m4/curl.m4 $(top_srcdir)/m4/docbook.m4 \
128         $(top_srcdir)/m4/doxygen.m4 $(top_srcdir)/m4/eigen.m4 \
129         $(top_srcdir)/m4/fftw.m4 $(top_srcdir)/m4/fortran.m4 \
130         $(top_srcdir)/m4/giws.m4 $(top_srcdir)/m4/hdf5.m4 \
131         $(top_srcdir)/m4/intel_compiler.m4 \
132         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
133         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
134         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
135         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
136         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
137         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
138         $(top_srcdir)/m4/mpi.m4 $(top_srcdir)/m4/ocaml.m4 \
139         $(top_srcdir)/m4/pcre.m4 $(top_srcdir)/m4/pkg.m4 \
140         $(top_srcdir)/m4/relocatable.m4 $(top_srcdir)/m4/swig.m4 \
141         $(top_srcdir)/m4/symlinks.m4 $(top_srcdir)/m4/tcltk.m4 \
142         $(top_srcdir)/m4/umfpack.m4 $(top_srcdir)/configure.ac
143 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
144         $(ACLOCAL_M4)
145 DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
146 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
147 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
148 CONFIG_CLEAN_FILES =
149 CONFIG_CLEAN_VPATH_FILES =
150 AM_V_P = $(am__v_P_@AM_V@)
151 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
152 am__v_P_0 = false
153 am__v_P_1 = :
154 AM_V_GEN = $(am__v_GEN_@AM_V@)
155 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
156 am__v_GEN_0 = @echo "  GEN     " $@;
157 am__v_GEN_1 = 
158 AM_V_at = $(am__v_at_@AM_V@)
159 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
160 am__v_at_0 = @
161 am__v_at_1 = 
162 SOURCES =
163 DIST_SOURCES =
164 am__can_run_installinfo = \
165   case $$AM_UPDATE_INFO_DIR in \
166     n|no|NO) false;; \
167     *) (install-info --version) >/dev/null 2>&1;; \
168   esac
169 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
170 am__vpath_adj = case $$p in \
171     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
172     *) f=$$p;; \
173   esac;
174 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
175 am__install_max = 40
176 am__nobase_strip_setup = \
177   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
178 am__nobase_strip = \
179   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
180 am__nobase_list = $(am__nobase_strip_setup); \
181   for p in $$list; do echo "$$p $$p"; done | \
182   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
183   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
184     if (++n[$$2] == $(am__install_max)) \
185       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
186     END { for (dir in files) print dir, files[dir] }'
187 am__base_list = \
188   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
189   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
190 am__uninstall_files_from_dir = { \
191   test -z "$$files" \
192     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
193     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
194          $(am__cd) "$$dir" && rm -f $$files; }; \
195   }
196 am__installdirs = "$(DESTDIR)$(libsciatoms_la_etcdir)" \
197         "$(DESTDIR)$(libsciatoms_la_guidir)" \
198         "$(DESTDIR)$(libsciatoms_la_rootdir)" \
199         "$(DESTDIR)$(libsciatoms_la_iconsdir)"
200 DATA = $(libsciatoms_la_etc_DATA) $(libsciatoms_la_gui_DATA) \
201         $(libsciatoms_la_root_DATA) \
202         $(nobase_libsciatoms_la_icons_DATA)
203 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
204 am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/Makefile.incl.am \
205         $(top_srcdir)/config/mkinstalldirs
206 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
207 ACLOCAL = @ACLOCAL@
208 ALL_LINGUAS = @ALL_LINGUAS@
209 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
210 AMTAR = @AMTAR@
211 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
212 ANT = @ANT@
213 ANTLR = @ANTLR@
214 AR = @AR@
215 ARPACK_LIBS = @ARPACK_LIBS@
216 ASM3 = @ASM3@
217 AUTOCONF = @AUTOCONF@
218 AUTOHEADER = @AUTOHEADER@
219 AUTOMAKE = @AUTOMAKE@
220 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
221 AWK = @AWK@
222 BATIK = @BATIK@
223 BLAS_CFLAGS = @BLAS_CFLAGS@
224 BLAS_LIBS = @BLAS_LIBS@
225 CC = @CC@
226 CCACHE = @CCACHE@
227 CCDEPMODE = @CCDEPMODE@
228 CFLAGS = @CFLAGS@
229 CHECKSTYLE = @CHECKSTYLE@
230 COBERTURA = @COBERTURA@
231 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
232 COMMONS_IO = @COMMONS_IO@
233 COMMONS_LOGGING = @COMMONS_LOGGING@
234 CPP = @CPP@
235 CPPFLAGS = @CPPFLAGS@
236 CURL_CFLAGS = @CURL_CFLAGS@
237 CURL_CONFIG = @CURL_CONFIG@
238 CURL_LIBS = @CURL_LIBS@
239 CURL_VERSION = @CURL_VERSION@
240 CXX = @CXX@
241 CXXCPP = @CXXCPP@
242 CXXDEPMODE = @CXXDEPMODE@
243 CXXFLAGS = @CXXFLAGS@
244 CYGPATH_W = @CYGPATH_W@
245 DEFS = @DEFS@
246 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
247 DEPDIR = @DEPDIR@
248 DLLTOOL = @DLLTOOL@
249 DOCBOOK_ROOT = @DOCBOOK_ROOT@
250 DOXYGEN_BIN = @DOXYGEN_BIN@
251 DSYMUTIL = @DSYMUTIL@
252 DUMPBIN = @DUMPBIN@
253 ECHO_C = @ECHO_C@
254 ECHO_N = @ECHO_N@
255 ECHO_T = @ECHO_T@
256 ECJ = @ECJ@
257 EGREP = @EGREP@
258 EIGEN_CPPFLAGS = @EIGEN_CPPFLAGS@
259 EXEEXT = @EXEEXT@
260 F77 = @F77@
261 FFLAGS = @FFLAGS@
262 FFTW3_LIB = @FFTW3_LIB@
263 FFTW_ENABLE = @FFTW_ENABLE@
264 FGREP = @FGREP@
265 FLEXDOCK = @FLEXDOCK@
266 FLIBS = @FLIBS@
267 FOP = @FOP@
268 FREEHEP_GRAPHICS2D = @FREEHEP_GRAPHICS2D@
269 FREEHEP_GRAPHICSIO = @FREEHEP_GRAPHICSIO@
270 FREEHEP_GRAPHICSIO_EMF = @FREEHEP_GRAPHICSIO_EMF@
271 FREEHEP_IO = @FREEHEP_IO@
272 FREEHEP_UTIL = @FREEHEP_UTIL@
273 GENHTML = @GENHTML@
274 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
275 GIWS_BIN = @GIWS_BIN@
276 GLUEGEN2_RT = @GLUEGEN2_RT@
277 GMSGFMT = @GMSGFMT@
278 GMSGFMT_015 = @GMSGFMT_015@
279 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
280 GREP = @GREP@
281 GUI_ENABLE = @GUI_ENABLE@
282 HAMCREST = @HAMCREST@
283 HAVE_CXX11 = @HAVE_CXX11@
284 HDF5_CFLAGS = @HDF5_CFLAGS@
285 HDF5_LIBS = @HDF5_LIBS@
286 HELP_ENABLE = @HELP_ENABLE@
287 INSTALL = @INSTALL@
288 INSTALL_DATA = @INSTALL_DATA@
289 INSTALL_PROGRAM = @INSTALL_PROGRAM@
290 INSTALL_SCRIPT = @INSTALL_SCRIPT@
291 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
292 INTLLIBS = @INTLLIBS@
293 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
294 JAR = @JAR@
295 JAVA = @JAVA@
296 JAVAC = @JAVAC@
297 JAVAC_DEBUG = @JAVAC_DEBUG@
298 JAVADOC = @JAVADOC@
299 JAVAH = @JAVAH@
300 JAVASCI_ENABLE = @JAVASCI_ENABLE@
301 JAVA_ENABLE = @JAVA_ENABLE@
302 JAVA_G = @JAVA_G@
303 JAVA_HOME = @JAVA_HOME@
304 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
305 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
306 JDB = @JDB@
307 JEUCLID_CORE = @JEUCLID_CORE@
308 JGRAPHX = @JGRAPHX@
309 JHALL = @JHALL@
310 JLATEXMATH = @JLATEXMATH@
311 JLATEXMATH_FOP = @JLATEXMATH_FOP@
312 JOGL2 = @JOGL2@
313 JROSETTA_API = @JROSETTA_API@
314 JROSETTA_ENGINE = @JROSETTA_ENGINE@
315 JUNIT4 = @JUNIT4@
316 LAPACK_LIBS = @LAPACK_LIBS@
317 LCOV = @LCOV@
318 LD = @LD@
319 LDFLAGS = @LDFLAGS@
320 LEX = @LEX@
321 LEXLIB = @LEXLIB@
322 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
323 LIBICONV = @LIBICONV@
324 LIBINTL = @LIBINTL@
325 LIBM = @LIBM@
326 LIBOBJS = @LIBOBJS@
327 LIBS = @LIBS@
328 LIBTOOL = @LIBTOOL@
329 LIPO = @LIPO@
330 LN_S = @LN_S@
331 LOGGING_LEVEL = @LOGGING_LEVEL@
332 LOOKS = @LOOKS@
333 LTLIBICONV = @LTLIBICONV@
334 LTLIBINTL = @LTLIBINTL@
335 LTLIBOBJS = @LTLIBOBJS@
336 LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
337 LUCENE = @LUCENE@
338 LUCENE_ANALYZER = @LUCENE_ANALYZER@
339 LUCENE_PARSER = @LUCENE_PARSER@
340 MAINT = @MAINT@
341 MAKEINFO = @MAKEINFO@
342 MANIFEST_TOOL = @MANIFEST_TOOL@
343 MATIO_CFLAGS = @MATIO_CFLAGS@
344 MATIO_ENABLE = @MATIO_ENABLE@
345 MATIO_LIBS = @MATIO_LIBS@
346 MKDIR_P = @MKDIR_P@
347 MPI_ENABLE = @MPI_ENABLE@
348 MSGCAT = @MSGCAT@
349 MSGFMT = @MSGFMT@
350 MSGFMT_015 = @MSGFMT_015@
351 MSGMERGE = @MSGMERGE@
352 NM = @NM@
353 NMEDIT = @NMEDIT@
354 OBJDUMP = @OBJDUMP@
355 OBJEXT = @OBJEXT@
356 OCAMLC = @OCAMLC@
357 OCAMLDEP = @OCAMLDEP@
358 OCAMLLEX = @OCAMLLEX@
359 OCAMLOPT = @OCAMLOPT@
360 OCAMLYACC = @OCAMLYACC@
361 OPENMPI_CC = @OPENMPI_CC@
362 OPENMPI_CFLAGS = @OPENMPI_CFLAGS@
363 OPENMPI_CXX = @OPENMPI_CXX@
364 OPENMPI_CXXFLAGS = @OPENMPI_CXXFLAGS@
365 OPENMPI_LIBS = @OPENMPI_LIBS@
366 OPENMP_CFLAGS = @OPENMP_CFLAGS@
367 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
368 OPENMP_ENABLE = @OPENMP_ENABLE@
369 OPENMP_LIBS = @OPENMP_LIBS@
370 OTOOL = @OTOOL@
371 OTOOL64 = @OTOOL64@
372 PACKAGE = @PACKAGE@
373 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
374 PACKAGE_NAME = @PACKAGE_NAME@
375 PACKAGE_STRING = @PACKAGE_STRING@
376 PACKAGE_TARNAME = @PACKAGE_TARNAME@
377 PACKAGE_URL = @PACKAGE_URL@
378 PACKAGE_VERSION = @PACKAGE_VERSION@
379 PATH_SEPARATOR = @PATH_SEPARATOR@
380 PCRE_CFLAGS = @PCRE_CFLAGS@
381 PCRE_CONFIG = @PCRE_CONFIG@
382 PCRE_LIBS = @PCRE_LIBS@
383 PCRE_VERSION = @PCRE_VERSION@
384 PKG_CONFIG = @PKG_CONFIG@
385 POSUB = @POSUB@
386 POW_LIB = @POW_LIB@
387 PYTHON = @PYTHON@
388 RANLIB = @RANLIB@
389 RELOCATABLE = @RELOCATABLE@
390 RT_LIB = @RT_LIB@
391 SAXON = @SAXON@
392 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
393 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
394 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
395 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
396 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
397 SCIRENDERER = @SCIRENDERER@
398 SCIRENDERER_CP = @SCIRENDERER_CP@
399 SCI_CFLAGS = @SCI_CFLAGS@
400 SCI_CXXFLAGS = @SCI_CXXFLAGS@
401 SCI_FFLAGS = @SCI_FFLAGS@
402 SCI_LDFLAGS = @SCI_LDFLAGS@
403 SED = @SED@
404 SET_MAKE = @SET_MAKE@
405 SET_RELOCATABLE = @SET_RELOCATABLE@
406 SHELL = @SHELL@
407 SKINLF = @SKINLF@
408 SPLINT = @SPLINT@
409 STRIP = @STRIP@
410 SWIG_BIN = @SWIG_BIN@
411 SWIG_JAVA = @SWIG_JAVA@
412 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
413 SWIG_SCILAB = @SWIG_SCILAB@
414 TCLTK_LIBS = @TCLTK_LIBS@
415 TCL_INC_PATH = @TCL_INC_PATH@
416 TK_INC_PATH = @TK_INC_PATH@
417 UMFPACK_CFLAGS = @UMFPACK_CFLAGS@
418 UMFPACK_ENABLE = @UMFPACK_ENABLE@
419 UMFPACK_LIB = @UMFPACK_LIB@
420 USE_NLS = @USE_NLS@
421 VALGRIND_CFLAGS = @VALGRIND_CFLAGS@
422 VALGRIND_LIBS = @VALGRIND_LIBS@
423 VERSION = @VERSION@
424 WITH_OCAML = @WITH_OCAML@
425 WITH_TKSCI = @WITH_TKSCI@
426 XCOS_ENABLE = @XCOS_ENABLE@
427 XGETTEXT = @XGETTEXT@
428 XGETTEXT_015 = @XGETTEXT_015@
429 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
430 XMKMF = @XMKMF@
431 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
432 XML_APIS_EXT = @XML_APIS_EXT@
433 XML_CONFIG = @XML_CONFIG@
434 XML_FLAGS = @XML_FLAGS@
435 XML_LIBS = @XML_LIBS@
436 XML_VERSION = @XML_VERSION@
437 X_CFLAGS = @X_CFLAGS@
438 X_EXTRA_LIBS = @X_EXTRA_LIBS@
439 X_LIBS = @X_LIBS@
440 X_PRE_LIBS = @X_PRE_LIBS@
441 YACC = @YACC@
442 YFLAGS = @YFLAGS@
443 abs_builddir = @abs_builddir@
444 abs_srcdir = @abs_srcdir@
445 abs_top_builddir = @abs_top_builddir@
446 abs_top_srcdir = @abs_top_srcdir@
447 ac_ct_AR = @ac_ct_AR@
448 ac_ct_CC = @ac_ct_CC@
449 ac_ct_CXX = @ac_ct_CXX@
450 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
451 ac_ct_F77 = @ac_ct_F77@
452 am__include = @am__include@
453 am__leading_dot = @am__leading_dot@
454 am__quote = @am__quote@
455 am__tar = @am__tar@
456 am__untar = @am__untar@
457 bindir = @bindir@
458 build = @build@
459 build_alias = @build_alias@
460 build_cpu = @build_cpu@
461 build_os = @build_os@
462 build_vendor = @build_vendor@
463 builddir = @builddir@
464 cxx_present = @cxx_present@
465 datadir = @datadir@
466 datarootdir = @datarootdir@
467 docdir = @docdir@
468 dvidir = @dvidir@
469 exec_prefix = @exec_prefix@
470 host = @host@
471 host_alias = @host_alias@
472 host_cpu = @host_cpu@
473 host_os = @host_os@
474 host_vendor = @host_vendor@
475 htmldir = @htmldir@
476 includedir = @includedir@
477 infodir = @infodir@
478 install_sh = @install_sh@
479 libdir = @libdir@
480 libexecdir = @libexecdir@
481 localedir = @localedir@
482 localstatedir = @localstatedir@
483 mandir = @mandir@
484 mkdir_p = @mkdir_p@
485 oldincludedir = @oldincludedir@
486 pdfdir = @pdfdir@
487 prefix = @prefix@
488 program_transform_name = @program_transform_name@
489 psdir = @psdir@
490 sbindir = @sbindir@
491 sharedstatedir = @sharedstatedir@
492 srcdir = @srcdir@
493 sysconfdir = @sysconfdir@
494 target_alias = @target_alias@
495 top_build_prefix = @top_build_prefix@
496 top_builddir = @top_builddir@
497 top_srcdir = @top_srcdir@
498 yacc_present = @yacc_present@
499 modulename = atoms
500
501 #### atoms : Conf files ####
502 libsciatoms_la_rootdir = $(mydatadir)
503 libsciatoms_la_root_DATA = license.txt 
504
505 #### atoms : init scripts ####
506 libsciatoms_la_etcdir = $(mydatadir)/etc
507 libsciatoms_la_etc_DATA = etc/atoms.quit etc/atoms.start etc/repositories
508
509 #### atoms : XML gui ####
510 libsciatoms_la_guidir = $(mydatadir)/gui
511 libsciatoms_la_gui_DATA = gui/atomsGui.xml
512
513 #### atoms : internal functions ####
514 MACROSDIRSEXT = macros/atoms_internals macros/atoms_gui
515
516 #### atoms : icons files ####
517 #
518 # Generated with:
519 #    $ find images/ -type f -printf "%p \\\\\n" -name *.svg -or -name *.gif -or -name *.jpg -or -name *.png |sort -u
520 libsciatoms_la_iconsdir = $(mydatadir)/
521 nobase_libsciatoms_la_icons_DATA = images/icons/16x16/emblems/emblem-default.png \
522 images/icons/16x16/status/dialog-information.png \
523 images/icons/16x16/status/software-update-available.png \
524 images/icons/16x16/status/software-update-installed.png \
525 images/icons/16x16/status/software-update-notinstalled.png \
526 images/icons/16x16/status/software-update-notuptodate.png
527
528
529 # Where all the Scilab stuff is installed (macros, help, ...)
530 mydatadir = $(pkgdatadir)/modules/$(modulename)
531
532 # Set AM_* SCI detected settings
533 AM_CPPFLAGS = $(SCI_CPPFLAGS)
534 AM_CFLAGS = $(SCI_CFLAGS)
535 AM_CXXFLAGS = $(SCI_CXXFLAGS)
536 # append includes to AM_FFLAGS to manage fortran includes
537 AM_FFLAGS = $(SCI_FFLAGS) -I$(top_srcdir)/modules/core/includes/
538
539 # Tag shared libraries with the Scilab version
540 AM_LDFLAGS = $(SCI_LDFLAGS) -version-number $(SCILAB_LIBRARY_VERSION)
541
542 # splint options
543 SPLINT_OPTIONS = -weak -booltype BOOL
544
545 ########################### JAVA ######################################
546 #### We are delegating java compilation to ant... Thanks to that
547 #### the procedure will be the same with Microsoft Windows (C)
548 #### and Linux/Unix
549 #######################################################################
550 TARGETS_ALL = $(am__append_1)
551
552 ################ MACROS ######################
553 # Rule to build a macro
554 # NOT USED  AT THE MOMENT
555 SUFFIXES = .sci 
556
557 ########### INSTALL DOCUMENTATION ###################
558
559 # Install documentation files into the right target
560 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
561 # automake needs the html files to be present which is not the case when
562 # we are building Scilab
563
564 # Where it should be installed
565 pkgdocdir = $(mydatadir)
566
567 # What is the mask of the help source
568 DOCMASKXML = *.xml
569
570 # What is the mask of the MathML sources
571 DOCMASKMML = *.mml
572
573 ########### INSTALL DATA ###################
574 # Install macros, help & demos
575 # Where it should be installed
576 pkgmacrosdir = $(mydatadir)
577 # Which directory we process
578 MACRODIRS = macros/
579 # Mask of the Scilab sources macros
580 MACROMASK = *.sci
581 # Mask of the Scilab executable sources macros
582 MACROBUILDMASK = *.sce
583 # Mask of the Scilab compiled macros
584 MACROBINMASK = *.bin
585 # List of the standard directory for tests
586 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
587 # Where the demos should be installed
588 pkgdemosdir = $(mydatadir)
589 # List of the standard directory for demos
590 DEMOS_DIR = demos
591 # List of the standard directory for examples
592 EXAMPLES_DIR = examples
593 # Where to export JAVA archives (.jar)
594 JARDIR = jar/
595 # JAR files mask
596 JARMASK = *.jar
597 # Chapter file 
598 HELP_CHAPTERDIR = help/
599 HELP_CHAPTERFILE = addchapter.sce
600 HELP_CHAPTERLANG = en_US fr_FR pt_BR
601 all: all-am
602
603 .SUFFIXES:
604 .SUFFIXES: .sci .bin
605 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
606         @for dep in $?; do \
607           case '$(am__configure_deps)' in \
608             *$$dep*) \
609               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
610                 && { if test -f $@; then exit 0; else break; fi; }; \
611               exit 1;; \
612           esac; \
613         done; \
614         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/atoms/Makefile'; \
615         $(am__cd) $(top_srcdir) && \
616           $(AUTOMAKE) --foreign modules/atoms/Makefile
617 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
618         @case '$?' in \
619           *config.status*) \
620             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
621           *) \
622             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
623             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
624         esac;
625 $(top_srcdir)/Makefile.incl.am $(am__empty):
626
627 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
628         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
629
630 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
631         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
632 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
633         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
634 $(am__aclocal_m4_deps):
635
636 mostlyclean-libtool:
637         -rm -f *.lo
638
639 clean-libtool:
640         -rm -rf .libs _libs
641 install-libsciatoms_la_etcDATA: $(libsciatoms_la_etc_DATA)
642         @$(NORMAL_INSTALL)
643         @list='$(libsciatoms_la_etc_DATA)'; test -n "$(libsciatoms_la_etcdir)" || list=; \
644         if test -n "$$list"; then \
645           echo " $(MKDIR_P) '$(DESTDIR)$(libsciatoms_la_etcdir)'"; \
646           $(MKDIR_P) "$(DESTDIR)$(libsciatoms_la_etcdir)" || exit 1; \
647         fi; \
648         for p in $$list; do \
649           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
650           echo "$$d$$p"; \
651         done | $(am__base_list) | \
652         while read files; do \
653           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciatoms_la_etcdir)'"; \
654           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciatoms_la_etcdir)" || exit $$?; \
655         done
656
657 uninstall-libsciatoms_la_etcDATA:
658         @$(NORMAL_UNINSTALL)
659         @list='$(libsciatoms_la_etc_DATA)'; test -n "$(libsciatoms_la_etcdir)" || list=; \
660         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
661         dir='$(DESTDIR)$(libsciatoms_la_etcdir)'; $(am__uninstall_files_from_dir)
662 install-libsciatoms_la_guiDATA: $(libsciatoms_la_gui_DATA)
663         @$(NORMAL_INSTALL)
664         @list='$(libsciatoms_la_gui_DATA)'; test -n "$(libsciatoms_la_guidir)" || list=; \
665         if test -n "$$list"; then \
666           echo " $(MKDIR_P) '$(DESTDIR)$(libsciatoms_la_guidir)'"; \
667           $(MKDIR_P) "$(DESTDIR)$(libsciatoms_la_guidir)" || exit 1; \
668         fi; \
669         for p in $$list; do \
670           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
671           echo "$$d$$p"; \
672         done | $(am__base_list) | \
673         while read files; do \
674           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciatoms_la_guidir)'"; \
675           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciatoms_la_guidir)" || exit $$?; \
676         done
677
678 uninstall-libsciatoms_la_guiDATA:
679         @$(NORMAL_UNINSTALL)
680         @list='$(libsciatoms_la_gui_DATA)'; test -n "$(libsciatoms_la_guidir)" || list=; \
681         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
682         dir='$(DESTDIR)$(libsciatoms_la_guidir)'; $(am__uninstall_files_from_dir)
683 install-libsciatoms_la_rootDATA: $(libsciatoms_la_root_DATA)
684         @$(NORMAL_INSTALL)
685         @list='$(libsciatoms_la_root_DATA)'; test -n "$(libsciatoms_la_rootdir)" || list=; \
686         if test -n "$$list"; then \
687           echo " $(MKDIR_P) '$(DESTDIR)$(libsciatoms_la_rootdir)'"; \
688           $(MKDIR_P) "$(DESTDIR)$(libsciatoms_la_rootdir)" || exit 1; \
689         fi; \
690         for p in $$list; do \
691           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
692           echo "$$d$$p"; \
693         done | $(am__base_list) | \
694         while read files; do \
695           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciatoms_la_rootdir)'"; \
696           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciatoms_la_rootdir)" || exit $$?; \
697         done
698
699 uninstall-libsciatoms_la_rootDATA:
700         @$(NORMAL_UNINSTALL)
701         @list='$(libsciatoms_la_root_DATA)'; test -n "$(libsciatoms_la_rootdir)" || list=; \
702         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
703         dir='$(DESTDIR)$(libsciatoms_la_rootdir)'; $(am__uninstall_files_from_dir)
704 install-nobase_libsciatoms_la_iconsDATA: $(nobase_libsciatoms_la_icons_DATA)
705         @$(NORMAL_INSTALL)
706         @list='$(nobase_libsciatoms_la_icons_DATA)'; test -n "$(libsciatoms_la_iconsdir)" || list=; \
707         if test -n "$$list"; then \
708           echo " $(MKDIR_P) '$(DESTDIR)$(libsciatoms_la_iconsdir)'"; \
709           $(MKDIR_P) "$(DESTDIR)$(libsciatoms_la_iconsdir)" || exit 1; \
710         fi; \
711         $(am__nobase_list) | while read dir files; do \
712           xfiles=; for file in $$files; do \
713             if test -f "$$file"; then xfiles="$$xfiles $$file"; \
714             else xfiles="$$xfiles $(srcdir)/$$file"; fi; done; \
715           test -z "$$xfiles" || { \
716             test "x$$dir" = x. || { \
717               echo " $(MKDIR_P) '$(DESTDIR)$(libsciatoms_la_iconsdir)/$$dir'"; \
718               $(MKDIR_P) "$(DESTDIR)$(libsciatoms_la_iconsdir)/$$dir"; }; \
719             echo " $(INSTALL_DATA) $$xfiles '$(DESTDIR)$(libsciatoms_la_iconsdir)/$$dir'"; \
720             $(INSTALL_DATA) $$xfiles "$(DESTDIR)$(libsciatoms_la_iconsdir)/$$dir" || exit $$?; }; \
721         done
722
723 uninstall-nobase_libsciatoms_la_iconsDATA:
724         @$(NORMAL_UNINSTALL)
725         @list='$(nobase_libsciatoms_la_icons_DATA)'; test -n "$(libsciatoms_la_iconsdir)" || list=; \
726         $(am__nobase_strip_setup); files=`$(am__nobase_strip)`; \
727         dir='$(DESTDIR)$(libsciatoms_la_iconsdir)'; $(am__uninstall_files_from_dir)
728 tags TAGS:
729
730 ctags CTAGS:
731
732 cscope cscopelist:
733
734
735 distdir: $(BUILT_SOURCES)
736         $(MAKE) $(AM_MAKEFLAGS) distdir-am
737
738 distdir-am: $(DISTFILES)
739         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
740         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
741         list='$(DISTFILES)'; \
742           dist_files=`for file in $$list; do echo $$file; done | \
743           sed -e "s|^$$srcdirstrip/||;t" \
744               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
745         case $$dist_files in \
746           */*) $(MKDIR_P) `echo "$$dist_files" | \
747                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
748                            sort -u` ;; \
749         esac; \
750         for file in $$dist_files; do \
751           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
752           if test -d $$d/$$file; then \
753             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
754             if test -d "$(distdir)/$$file"; then \
755               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
756             fi; \
757             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
758               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
759               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
760             fi; \
761             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
762           else \
763             test -f "$(distdir)/$$file" \
764             || cp -p $$d/$$file "$(distdir)/$$file" \
765             || exit 1; \
766           fi; \
767         done
768 check-am: all-am
769         $(MAKE) $(AM_MAKEFLAGS) check-local
770 check: check-am
771 all-am: Makefile $(DATA) all-local
772 installdirs:
773         for dir in "$(DESTDIR)$(libsciatoms_la_etcdir)" "$(DESTDIR)$(libsciatoms_la_guidir)" "$(DESTDIR)$(libsciatoms_la_rootdir)" "$(DESTDIR)$(libsciatoms_la_iconsdir)"; do \
774           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
775         done
776 install: install-am
777 install-exec: install-exec-am
778 install-data: install-data-am
779 uninstall: uninstall-am
780
781 install-am: all-am
782         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
783
784 installcheck: installcheck-am
785 install-strip:
786         if test -z '$(STRIP)'; then \
787           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
788             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
789               install; \
790         else \
791           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
792             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
793             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
794         fi
795 mostlyclean-generic:
796
797 clean-generic:
798
799 distclean-generic:
800         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
801         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
802
803 maintainer-clean-generic:
804         @echo "This command is intended for maintainers to use"
805         @echo "it deletes files that may require special tools to rebuild."
806 clean: clean-am
807
808 clean-am: clean-generic clean-libtool clean-local mostlyclean-am
809
810 distclean: distclean-am
811         -rm -f Makefile
812 distclean-am: clean-am distclean-generic distclean-local
813
814 dvi: dvi-am
815
816 dvi-am:
817
818 html: html-am
819
820 html-am:
821
822 info: info-am
823
824 info-am:
825
826 install-data-am: install-data-local install-libsciatoms_la_etcDATA \
827         install-libsciatoms_la_guiDATA install-libsciatoms_la_rootDATA \
828         install-nobase_libsciatoms_la_iconsDATA
829
830 install-dvi: install-dvi-am
831
832 install-dvi-am:
833
834 install-exec-am:
835
836 install-html: install-html-am
837
838 install-html-am: install-html-local
839
840 install-info: install-info-am
841
842 install-info-am:
843
844 install-man:
845
846 install-pdf: install-pdf-am
847
848 install-pdf-am:
849
850 install-ps: install-ps-am
851
852 install-ps-am:
853
854 installcheck-am:
855
856 maintainer-clean: maintainer-clean-am
857         -rm -f Makefile
858 maintainer-clean-am: distclean-am maintainer-clean-generic
859
860 mostlyclean: mostlyclean-am
861
862 mostlyclean-am: mostlyclean-generic mostlyclean-libtool
863
864 pdf: pdf-am
865
866 pdf-am:
867
868 ps: ps-am
869
870 ps-am:
871
872 uninstall-am: uninstall-libsciatoms_la_etcDATA \
873         uninstall-libsciatoms_la_guiDATA \
874         uninstall-libsciatoms_la_rootDATA \
875         uninstall-nobase_libsciatoms_la_iconsDATA
876
877 .MAKE: check-am install-am install-strip
878
879 .PHONY: all all-am all-local check check-am check-local clean \
880         clean-generic clean-libtool clean-local cscopelist-am ctags-am \
881         distclean distclean-generic distclean-libtool distclean-local \
882         distdir dvi dvi-am html html-am info info-am install \
883         install-am install-data install-data-am install-data-local \
884         install-dvi install-dvi-am install-exec install-exec-am \
885         install-html install-html-am install-html-local install-info \
886         install-info-am install-libsciatoms_la_etcDATA \
887         install-libsciatoms_la_guiDATA install-libsciatoms_la_rootDATA \
888         install-man install-nobase_libsciatoms_la_iconsDATA \
889         install-pdf install-pdf-am install-ps install-ps-am \
890         install-strip installcheck installcheck-am installdirs \
891         maintainer-clean maintainer-clean-generic mostlyclean \
892         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
893         tags-am uninstall uninstall-am \
894         uninstall-libsciatoms_la_etcDATA \
895         uninstall-libsciatoms_la_guiDATA \
896         uninstall-libsciatoms_la_rootDATA \
897         uninstall-nobase_libsciatoms_la_iconsDATA
898
899 .PRECIOUS: Makefile
900
901
902 # This target enables tests for Scilab
903 check-local: $(top_builddir)/scilab-bin test
904         if test -d $(mydatadir)/tests; then \
905           @COMMAND="try test_run('$(modulename)');catch exit(-1);end;exit(0)"; export LANG=C; $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"; \
906         fi
907 check-code:
908         if test -f build.xml; then \
909                 $(ANT) checkstyle; \
910         fi
911         if test -x "$(SPLINT)"; then \
912                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
913         fi
914 @NEED_JAVA_TRUE@java:
915 # Some configurations needs to export JAVA_HOME in the current env
916 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
917 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
918 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
919 @NEED_JAVA_TRUE@                $(ANT); \
920 @NEED_JAVA_TRUE@        fi
921
922 @NEED_JAVA_TRUE@clean-java:
923 # Some configurations needs to export JAVA_HOME in the current env
924 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
925 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
926 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
927 @NEED_JAVA_TRUE@                $(ANT) clean; \
928 @NEED_JAVA_TRUE@        fi;
929
930 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
931 # We call the target swig-build on the variable SWIG_WRAPPERS
932
933 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
934 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
935 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
936 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
937 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
938 @SWIG_TRUE@                     echo "Swig process of $$file (Java) ..."; \
939 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_OPTIONS) $(SWIG_JAVA) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
940 @SWIG_TRUE@             done; \
941 @SWIG_TRUE@     fi
942
943 @SWIG_TRUE@swig-scilab: $(SWIG_SCILAB_WRAPPERS)
944 @SWIG_TRUE@     @SWIG_OUTDIR=src/swig/; \
945 @SWIG_TRUE@     if test -n "$(SWIG_SCILAB_WRAPPERS)"; then \
946 @SWIG_TRUE@             for file in $(SWIG_SCILAB_WRAPPERS) ; do \
947 @SWIG_TRUE@                     echo "Swig process of $$file (Scilab) ..."; \
948 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_OPTIONS) $(SWIG_SCILAB)  -outdir $$SWIG_OUTDIR $$file; \
949 @SWIG_TRUE@             done; \
950 @SWIG_TRUE@     fi
951
952 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
953 # We call the target swig-build on the variable SWIG_WRAPPERS
954
955 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
956 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/; \
957 @GIWS_TRUE@     MANDATORY_OPTIONS="--throws-exception-on-error --description-file"; \
958 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
959 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
960 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
961 @GIWS_TRUE@                     if test -z "$(GIWS_OPTIONS)"; then \
962 @GIWS_TRUE@                             $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR $$MANDATORY_OPTIONS $$file; \
963 @GIWS_TRUE@                     else \
964 @GIWS_TRUE@                             echo "Custom GIWS call with '$$GIWS_OPTIONS'"; \
965 @GIWS_TRUE@                             $(GIWS_BIN) $$GIWS_OPTIONS --output-dir $$GIWS_OUTPUTDIR $$MANDATORY_OPTIONS $$file; \
966 @GIWS_TRUE@                     fi \
967 @GIWS_TRUE@             done; \
968 @GIWS_TRUE@     fi
969
970 @GIWS_TRUE@giws-exception:
971 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
972 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
973 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR 
974
975 macros:
976         -@( if test ! -x $(top_builddir)/scilab-bin; then \
977                 echo "Error : Cannot build $< : Scilab has not been built"; \
978         else \
979                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
980         fi)
981
982 # Removes the macros
983 clean-macros:
984 # Removes macros (*.bin generated from .sci)
985         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
986                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
987                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
988         done
989
990 test:
991 # More tests could be added here
992         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
993         if test -f build.xml -a $$USEANT -eq 1; then \
994                 $(ANT) test; \
995         fi
996
997 all-local: $(TARGETS_ALL)
998
999 .sci.bin:
1000         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1001         echo "Error : Cannot build $< : Scilab has not been build"; \
1002         else \
1003         echo "Creating $@"; \
1004         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1005         fi )
1006
1007 install-html-local:
1008
1009 install-data-local-local:
1010 # Mainly for javasci
1011         @if test -d $(srcdir)/javadoc; then \
1012                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1013         fi
1014 # If the user wants the help sources to be installed
1015 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1016 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1017 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1018 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1019 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1020 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1021 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1022 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1023 @INSTALL_HELP_XML_TRUE@           done ; \
1024 @INSTALL_HELP_XML_TRUE@         fi; \
1025 @INSTALL_HELP_XML_TRUE@  fi; \
1026 @INSTALL_HELP_XML_TRUE@ done; \
1027 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1028 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1029 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1030 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1031 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1032 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1033 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1034 @INSTALL_HELP_XML_TRUE@           done ; \
1035 @INSTALL_HELP_XML_TRUE@         fi; \
1036 @INSTALL_HELP_XML_TRUE@ fi
1037 install-data-local:
1038 # Install the tests
1039         @echo "-------- Install tests (if any) --------"; \
1040         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1041           if test -d $(srcdir)/$$dir/; then \
1042             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1043                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1044                     if test -d "$(srcdir)/$$dir/$$file"; then \
1045                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1046                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1047                     else \
1048                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1049                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1050                     fi \
1051                   done; \
1052           fi; \
1053         done
1054 # Install the help chapter
1055         @echo "-------- Install the help chapter (if any) --------"; \
1056         for lang in $(HELP_CHAPTERLANG); do \
1057                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1058                 if test -f $$HELPFILE; then \
1059                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1060                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1061                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1062                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1063                 fi; \
1064         done
1065 # Install the demos & examples
1066         @echo "-------- Install demos & examples (if any) --------"; \
1067         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1068           if test -d $(srcdir)/$$dir/; then \
1069             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1070                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1071                     if test -d "$(srcdir)/$$dir/$$file"; then \
1072                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1073                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1074                     else \
1075                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1076                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1077                     fi \
1078                   done; \
1079           fi; \
1080         done
1081 # Install the macros
1082         @echo "-------- Install macros (if any) --------"; \
1083         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1084           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1085                 if test -d $(srcdir)/$$dir/; then \
1086                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1087                         if test -n "$(MACROSSPECIALEXT)"; then \
1088                                 specialExtDir=""; \
1089                                 for specialExt in $(MACROSSPECIALEXT); do \
1090                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1091                                 done; \
1092                                 FILELIST="$$FILELIST $$specialExtDir"; \
1093                         fi; \
1094                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1095                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1096                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1097                   done; \
1098                 fi; \
1099         done
1100 # Install java files (.jar)
1101         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1102         echo "-------- Install jar files --------"; \
1103     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1104           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1105                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1106                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1107           done ; \
1108         fi
1109
1110 ########### CLEAN ###################
1111 # Clean help (generated automatically by Scilab)
1112 # It used to clean the macro (clean-macros) but this was causing
1113 # make clean && make to fail Scilab startup
1114 @NEED_JAVA_TRUE@clean-local: clean-java
1115 @NEED_JAVA_FALSE@clean-local:
1116
1117 distclean-local:
1118         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1119
1120 .PHONY: macros java swig giws
1121
1122 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1123 # Otherwise a system limit (for SysV at least) may be exceeded.
1124 .NOEXPORT: